tbb::internal::thread_closure_0< F > Struct Template Reference

`#include <tbb_thread.h>`

Inheritance diagram for tbb::internal::thread_closure_0< F >:
Collaboration diagram for tbb::internal::thread_closure_0< F >:

## Public Member Functions

| thread_closure_0 (const F &f)
Public Member Functions inherited from tbb::internal::thread_closure_base
void * | operator new (size_t size)
void | operator delete (void *ptr)

## Static Public Member Functions

static __TBB_NATIVE_THREAD_ROUTINE | start_routine (void *c)

## Public Attributes

F | function

## Detailed Description

### template<class F>
struct tbb::internal::thread_closure_0< F >

Definition at line 83 of file tbb_thread.h.

## Constructor & Destructor Documentation

## thread_closure_0()

template<class F >

tbb::internal::thread_closure_0< F >::thread_closure_0 | ( | const F & | f | ) |

inline

Definition at line 92 of file tbb_thread.h.

: function(f) {}

## Member Function Documentation

## start_routine()

template<class F >

static __TBB_NATIVE_THREAD_ROUTINE tbb::internal::thread_closure_0< F >::start_routine | ( | void * | c | ) |

inline static

Definition at line 86 of file tbb_thread.h.

{
thread_closure_0 *self = static_cast<thread_closure_0*>(c);
self->function();
delete self;
return 0;
}

## Member Data Documentation

## function

template<class F >

F tbb::internal::thread_closure_0< F >::function

Definition at line 84 of file tbb_thread.h.

The documentation for this struct was generated from the following file:

- tbb_thread.h

tbb::internal::thread_closure_0::thread_closure_0
thread_closure_0(const F &f)
Definition: tbb_thread.h:92

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.